# Uses of Class
org.eclipse.birt.chart.event.PrimitiveRenderEvent

Packages that use PrimitiveRenderEvent
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.render
Contains classes that represent the core plot rendering framework.

## Uses of PrimitiveRenderEvent in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return PrimitiveRenderEvent
Modifier and Type
Method
Description
`PrimitiveRenderEvent`
Engine3D.`processEvent(PrimitiveRenderEvent event, double xOffset, double yOffset)`
`PrimitiveRenderEvent`
Engine3D.`processEvent_noclip(PrimitiveRenderEvent event, double xOffset, double yOffset)`
Methods in org.eclipse.birt.chart.computation with parameters of type PrimitiveRenderEvent
Modifier and Type
Method
Description
`PrimitiveRenderEvent`
Engine3D.`processEvent(PrimitiveRenderEvent event, double xOffset, double yOffset)`
`PrimitiveRenderEvent`
Engine3D.`processEvent_noclip(PrimitiveRenderEvent event, double xOffset, double yOffset)`

## Uses of PrimitiveRenderEvent in org.eclipse.birt.chart.event

Subclasses of PrimitiveRenderEvent in org.eclipse.birt.chart.event
Modifier and Type
Class
Description
`class`
`Arc3DRenderEvent`
A rendering event type for rendering 3D Arc object.
`class`
`ArcRenderEvent`
A rendering event type for rendering Arc object.
`class`
`Area3DRenderEvent`
A rendering event type for rendering 3D Area object.
`class`
`AreaRenderEvent`
A rendering event type for rendering Area object.
`final class`
`ClipRenderEvent`
This class encapsulates clipping information required for clip implementation in a device.
`final class`
`Image3DRenderEvent`
A rendering event type for rendering 3D Image object.
`class`
`ImageRenderEvent`
A rendering event type for rendering Image object.
`final class`
`Line3DRenderEvent`
A rendering event type for rendering 3D Line object.
`class`
`LineRenderEvent`
A rendering event type for rendering Line object.
`class`
`Oval3DRenderEvent`
A rendering event type for rendering 3D Oval object.
`class`
`OvalRenderEvent`
A rendering event type for rendering Oval object.
`final class`
`Polygon3DRenderEvent`
A rendering event type for rendering 3D Polygon object.
`class`
`PolygonRenderEvent`
A rendering event type for rendering Polygon object.
`final class`
`RectangleRenderEvent`
A rendering event type for rendering Rectangle object.
`final class`
`Text3DRenderEvent`
A rendering event type for rendering 3D text object.
`class`
`TextRenderEvent`
A rendering event type for rendering text object.
`final class`
`TransformationEvent`
An event type for transformation.
Methods in org.eclipse.birt.chart.event that return PrimitiveRenderEvent
Modifier and Type
Method
Description
`PrimitiveRenderEvent`
Arc3DRenderEvent.`copy()`
`PrimitiveRenderEvent`
ArcRenderEvent.`copy()`
`PrimitiveRenderEvent`
Area3DRenderEvent.`copy()`
`PrimitiveRenderEvent`
AreaRenderEvent.`copy()`
`PrimitiveRenderEvent`
Image3DRenderEvent.`copy()`
`PrimitiveRenderEvent`
ImageRenderEvent.`copy()`
`PrimitiveRenderEvent`
Line3DRenderEvent.`copy()`
`PrimitiveRenderEvent`
LineRenderEvent.`copy()`
`PrimitiveRenderEvent`
Oval3DRenderEvent.`copy()`
`PrimitiveRenderEvent`
OvalRenderEvent.`copy()`
`PrimitiveRenderEvent`
Polygon3DRenderEvent.`copy()`
`PrimitiveRenderEvent`
PolygonRenderEvent.`copy()`
`PrimitiveRenderEvent`
PrimitiveRenderEvent.`copy()`
`PrimitiveRenderEvent`
RectangleRenderEvent.`copy()`
`PrimitiveRenderEvent`
Text3DRenderEvent.`copy()`
`PrimitiveRenderEvent`
TextRenderEvent.`copy()`
`final PrimitiveRenderEvent`
AreaRenderEvent.`getElement(int i)`
Returns the specific sub event by given index.
`PrimitiveRenderEvent`
IRenderInstruction.`getEvent()`
Returns the associated event.
`final PrimitiveRenderEvent`
MarkerInstruction.`getEvent()`
Returns the associated event.
`PrimitiveRenderEvent`
WrappedInstruction.`getEvent()`
Returns the associated event.
`PrimitiveRenderEvent`
InteractionEvent.`getHotSpot()`
Methods in org.eclipse.birt.chart.event that return types with arguments of type PrimitiveRenderEvent
Modifier and Type
Method
Description
`final Iterator<PrimitiveRenderEvent>`
AreaRenderEvent.`iterator()`
Returns the iterator for the subordinate event list.
Methods in org.eclipse.birt.chart.event with parameters of type PrimitiveRenderEvent
Modifier and Type
Method
Description
`final void`
AreaRenderEvent.`add(PrimitiveRenderEvent pre)`
Add a sub event to this area.
`void`
InteractionEvent.`setHotSpot(PrimitiveRenderEvent pre)`
Sets the hotspot area defined by given rendering event for current event.
Constructors in org.eclipse.birt.chart.event with parameters of type PrimitiveRenderEvent
Modifier
Constructor
Description
``
`MarkerInstruction(DeferredCache dc, PrimitiveRenderEvent pre, int iInstruction, double iMarkerSize, int zOrder)`
``
`WrappedInstruction(DeferredCache dc, PrimitiveRenderEvent pre, int iInstruction)`
``
`WrappedInstruction(DeferredCache dc, PrimitiveRenderEvent pre, int iInstruction, long zorder)`
The constructor.

## Uses of PrimitiveRenderEvent in org.eclipse.birt.chart.render

Methods in org.eclipse.birt.chart.render that return PrimitiveRenderEvent
Modifier and Type
Method
Description
`PrimitiveRenderEvent`
MarkerRenderer.`getRenderArea()`
Methods in org.eclipse.birt.chart.render with parameters of type PrimitiveRenderEvent
Modifier and Type
Method
Description
`void`
DeferredCache.`addMarker(PrimitiveRenderEvent pre, int iInstruction, double iMarkerSize, int zOrder)`
Adds marker rendering event to cache.
`Object`
DeferredCache.`addPlane(PrimitiveRenderEvent pre, int iInstruction)`
Adds rendering Plane event to cache.
`Object`
DeferredCache.`addPlane(PrimitiveRenderEvent pre, int iInstruction, int zorder_hint)`
`void`
DeferredCache.`addPlaneShadow(PrimitiveRenderEvent pre, int iInstruction)`
Adds rendering Plane event to cache.
`void`
DeferredCache.`addPlaneShadow(PrimitiveRenderEvent pre, int iInstruction, int zorder_hint)`
`void`
InteractiveRenderer.`modifyEvent(PrimitiveRenderEvent event)`